Skip to main content
`Ctrl`+`K`

# PetscPragmaUseOMPKernels

Sets an OpenMP pragma to affect the next block of code

## Synopsis

    #include <petscmacros.h>
    int PetscPragmaUseOMPKernels(name)

No Fortran Support

## Input Parameter

- name - the OpenMP pragma, for example, `critical` or `parallel for`

## Note

The pragma takes effect when PETSc was configured with `--with-openmp-kernels`. See `PetscPragmaOMP()` for when PETSc was configured with OpenMP but not to use it in its numerical kernels

## See Also

`PetscPragmaOMP()`, `PetscHasBuiltin()`, `PetscDefined()`, `PetscLikely()`, `PetscUnlikely()`, `PETSC_ATTRIBUTE_FORMAT`, `PETSC_ATTRIBUTE_MAY_ALIAS`

## Level

intermediate

## Location

include/petscmacros.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages